Firebase plugin problem


#1

i modifies app.gradle as below

// Add your native dependencies here:

// Uncomment to add recyclerview-v7 dependency
//dependencies {
//	compile 'com.android.support:recyclerview-v7:+'
//}

dependencies {
    configurations.all {
        exclude group: 'commons-logging', module: 'commons-logging'
        resolutionStrategy.eachDependency { DependencyResolveDetails details ->
            def requested = details.requested
            if (requested.group == 'com.google.android.gms' || requested.group == 'com.google.firebase') {
                details.useVersion '15.0.1'
            } else if (requested.group == 'com.android.support' && requested.name != 'multidex') {
                // com.android.support major version should match buildToolsVersion
                details.useVersion '27.+'
            }
        }
    }
}

project.ext {
    googlePlayServicesVersion = "15.0.1"
    supportVersion = "27.+"
}

android {  
  defaultConfig {  
    generatedDensities = []
    applicationId = "org.nativescript.selOrnt" 
    
    //override supported platforms
    // ndk {
    //       abiFilters.clear()
    //   		abiFilters "armeabi-v7a"
 		// }
  
  }  
  aaptOptions {  
    additionalParameters "--no-version-vectors"  
  }  
  project.ext {
        googlePlayServicesVersion = "15.0.1"
        supportVersion = "27.+"
    }
} 

and the error i got is

FAILURE: Build failed with an exception.

  • What went wrong:
    Could not resolve all files for configuration ‘:app:debugCompileClasspath’.

Could not find com.google.firebase:firebase-core:15.0.1.
Searched in the following locations:
file:/C:/Android/android-sdk/extras/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Android/android-sdk/extras/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Android/android-sdk/extras/google/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Android/android-sdk/extras/google/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Android/android-sdk/extras/android/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Android/android-sdk/extras/android/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://jcenter.bintray.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://jcenter.bintray.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://repo.maven.apache.org/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://repo.maven.apache.org/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://maven.google.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://maven.google.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar

just few days back i created firebase project and at that time it working. now its not …
really firebase plugin has a problem

i request anyone please please upload a firebase javascript ready template in github …


#2

some how its working. i didnt found the reason. all i did is started with new project and today its working… but i got 1 small error.

firebase.init done = null in console

for this code

firebase.init({
    //persist: true
  }).then(
    function (instance) {
      console.log("firebase.init done = "+instance);
    },
    function (error) {
      console.log("firebase.init error: " + error);
    }
);

can anyone atleast tell some answer for this…?